Extending Qt Creator Manual | WelcomePageButton

Extending Qt Creator Manual 4.5.2

# WelcomePageButton Class

(Core::WelcomePageButton)

Inherits: | Core::WelcomePageFrame

- List of all members, including inherited members

## Public Functions

| WelcomePageButton(QWidget *parent)
| ~WelcomePageButton()
void | click()
void | enterEvent(QEvent *) override
void | leaveEvent(QEvent *) override
void | mousePressEvent(QMouseEvent *) override
void | recheckActive()
void | setActiveChecker(const std::function<bool() > &value)
void | setIcon(const QPixmap &pixmap)
void | setOnClicked(const std::function<void() > &value)
void | setText(const QString &text)

- 1 public function inherited from Core::WelcomePageFrame

## Member Function Documentation

### WelcomePageButton::WelcomePageButton(QWidget *parent)

Default constructs an instance of WelcomePageButton.

### WelcomePageButton::~WelcomePageButton()

Destroys the instance of WelcomePageButton.

### void WelcomePageButton::click()

### void WelcomePageButton::enterEvent(QEvent *)

### void WelcomePageButton::leaveEvent(QEvent *)

### void WelcomePageButton::mousePressEvent(QMouseEvent *)

### void WelcomePageButton::recheckActive()

### void WelcomePageButton::setActiveChecker(const std::function<bool() > &value)

### void WelcomePageButton::setIcon(const QPixmap &pixmap)

### void WelcomePageButton::setOnClicked(const std::function<void() > &value)

### void WelcomePageButton::setText(const QString &text)